package cn.iocoder.yudao.module.shop.service.impl;

import cn.iocoder.yudao.module.shop.entity.ShopConfig;
import cn.iocoder.yudao.module.shop.mapper.ShopConfigMapper;
import cn.iocoder.yudao.module.shop.service.IShopConfigService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 基础配置Service业务层处理
 *
 * @author ruoyi
 * @date 2023-07-09
 */
@Service
public class ShopConfigServiceImpl implements IShopConfigService
{
    @Autowired
    private ShopConfigMapper shopConfigMapper;

    /**
     * 查询基础配置
     *
     * @param id 基础配置主键
     * @return 基础配置
     */
    @Override
    public ShopConfig selectShopConfigById(Long id)
    {
        return shopConfigMapper.selectById(id);
    }

    /**
     * 查询基础配置列表
     *
     * @param shopConfig 基础配置
     * @return 基础配置
     */
    @Override
    public List<ShopConfig> selectShopConfigList(ShopConfig shopConfig)
    {
        return shopConfigMapper.selectShopConfigList(shopConfig);
    }

    /**
     * 新增基础配置
     *
     * @param shopConfig 基础配置
     * @return 结果
     */
    @Override
    public int insertShopConfig(ShopConfig shopConfig)
    {
        return shopConfigMapper.insertShopConfig(shopConfig);
    }

    /**
     * 修改基础配置
     *
     * @param shopConfig 基础配置
     * @return 结果
     */
    @Override
    public int updateShopConfig(ShopConfig shopConfig)
    {
        return shopConfigMapper.updateById(shopConfig);
    }

    /**
     * 批量删除基础配置
     *
     * @param ids 需要删除的基础配置主键
     * @return 结果
     */
    @Override
    public int deleteShopConfigByIds(Long[] ids)
    {
        return shopConfigMapper.deleteShopConfigByIds(ids);
    }

    /**
     * 删除基础配置信息
     *
     * @param id 基础配置主键
     * @return 结果
     */
    @Override
    public int deleteShopConfigById(Long id)
    {
        return shopConfigMapper.deleteShopConfigById(id);
    }
}
